---
###############################################################################
# Compute node configuration.

# User with which to access the computes via SSH during bootstrap, in order
# to setup the Kayobe user account.
compute_bootstrap_user: cloud-user

###############################################################################
# Network interface attachments.

# List of networks to which compute nodes are attached.
compute_network_interfaces: >
   {{ [admin_oc_net_name,
       "bond0_net",
       "br_net",
       internal_net_name,
       storage_net_name,
       tunnel_net_name] | unique | list }}

# List of default networks to which compute nodes are attached.
#compute_default_network_interfaces:

# List of extra networks to which compute nodes are attached.
#compute_extra_network_interfaces:

###############################################################################
# Compute node BIOS configuration.

# Dict of compute BIOS options. Format is same as that used by stackhpc.drac
# role.
#compute_bios_config:

# Dict of default compute BIOS options. Format is same as that used by
# stackhpc.drac role.
#compute_bios_config_default:

# Dict of additional compute BIOS options. Format is same as that used by
# stackhpc.drac role.
#compute_bios_config_extra:

###############################################################################
# Compute node RAID configuration.

# List of compute RAID volumes. Format is same as that used by stackhpc.drac
# role.
#compute_raid_config:

# List of default compute RAID volumes. Format is same as that used by
# stackhpc.drac role.
#compute_raid_config_default:

# List of additional compute RAID volumes. Format is same as that used by
# stackhpc.drac role.
#compute_raid_config_extra:

###############################################################################
# Compute node software RAID configuration.

# List of software RAID arrays. See mrlesmithjr.mdadm role for format.
#compute_mdadm_arrays:

###############################################################################
# Compute node LVM configuration.

# List of compute volume groups. See mrlesmithjr.manage-lvm role for
# format.
#compute_lvm_groups:
#  - vgname: nova-compute
#    disks:
#      - /dev/mapper/luksnova
#    create: true
#    lvnames:
#      - lvname: nova-compute-0
#        size: "100%FREE"
#        create: true
#        mount: true
#        filesystem: ext4
#        mntp: /var/lib/nova

# Default list of compute volume groups. See mrlesmithjr.manage-lvm role for
# format.
#compute_lvm_groups_default:

# Additional list of compute volume groups. See mrlesmithjr.manage-lvm role
# for format.
#compute_lvm_groups_extra:

# Compute LVM volume group for data. See mrlesmithjr.manage-lvm role for
# format.
#compute_lvm_group_data:

# List of disks for use by compute LVM data volume group. Default to an
# invalid value to require configuration.
#compute_lvm_group_data_disks:

# List of LVM logical volumes for the data volume group.
#compute_lvm_group_data_lvs:

# Docker volumes LVM backing volume.
#compute_lvm_group_data_lv_docker_volumes:

# Size of docker volumes LVM backing volume.
#compute_lvm_group_data_lv_docker_volumes_size:

# Filesystem for docker volumes LVM backing volume. ext4 allows for shrinking.
#compute_lvm_group_data_lv_docker_volumes_fs:

###############################################################################
# Compute node Ceph configuration.

# List of Ceph disks.
# The format is a list of dict like :
# - { osd: "/dev/sdb", journal: "/dev/sdc" }
# - { osd: "/dev/sdd" }
# Journal variable is not mandatory.
#compute_ceph_disks:

###############################################################################
# Compute node sysctl configuration.

# Dict of sysctl parameters to set.
#compute_sysctl_parameters:

###############################################################################
# Compute node user configuration.

# List of users to create. This should be in a format accepted by the
# singleplatform-eng.users role.
#compute_users:

###############################################################################
# Dummy variable to allow Ansible to accept this file.
workaround_ansible_issue_8743: yes
